Skip to content

List features

GET
/api/v1/prompt-features
curl --request GET \
--url 'https://example.com/api/v1/prompt-features?type=select&projectId=00000000-0000-0000-0000-000000000000'
q
string
type
string
Allowed values: select agents.md
projectId
required

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

string
>= 1 characters
Example
00000000-0000-0000-0000-000000000000

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

Success

Media type application/json
Array<object>
object
id
required
string
prompt
required
string
type
string
Allowed values: select build test run deploy agents.md
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string
Example
[
{
"type": "select"
}
]